# 10.0.0.0/8, 77.48.0.0/17, 172.16.0.0/12, 192.168.0.0/16, 193.86.0.0/16, 195.113.0.0/16
import numpy as np

LOCAL_IP_LIST = {
    10: {"min": [10, 0, 0, 1], "max": [10, 255, 255, 254]},
    77: {"min": [77, 48, 0, 1], "max": [77, 48, 127, 254]},
    172: {"min": [172, 16, 0, 1], "max": [172, 31, 255, 254]},
    192: {"min": [192, 168, 0, 1], "max": [192, 168, 255, 254]},
    193: {"min": [193, 86, 0, 1], "max": [193, 86, 255, 254]},
    195: {"min": [195, 113, 0, 1], "max": [195, 113, 255, 254]},
}

BLANK = "-"


class AddressManager:
    def is_my_address_local(self, address):
        if address != BLANK:
            address_split = np.fromstring(address, sep=".", dtype=int)
            if address_split[0] not in LOCAL_IP_LIST:
                return False

            ip_range = LOCAL_IP_LIST[address_split[0]]
            match = False
            for i in range(0, 3):
                match = ip_range["min"][i] <= address_split[i] <= ip_range["max"][i]

            return match
        return False

