BLANK = "-"


class RecordManager(object):

    def create_pair(self, duration, proto,
                    req_timestamp=BLANK, req_src=BLANK, req_ip=BLANK, req_port=BLANK,
                    req_dst=BLANK, req_packets=BLANK, req_bytes=BLANK,
                    resp_timestamp=BLANK, resp_src=BLANK, resp_ip=BLANK,
                    resp_port=BLANK, resp_dst=BLANK, resp_packets=BLANK, resp_bytes=BLANK):
        return {"duration": duration, "proto": proto,
                "req_timestamp": req_timestamp, "req_src": req_src, "req_ip": req_ip, "req_port": req_port,
                "req_dst": req_dst, "req_packets": req_packets, "req_bytes": req_bytes,
                "resp_timestamp": resp_timestamp, "resp_src": resp_src, "resp_ip": resp_ip, "resp_port": resp_port,
                "resp_dst": resp_dst, "resp_packets": resp_packets, "resp_bytes": resp_bytes,
                "paired": False, "tunneled": False}

    def create_pair_request(self, row):
        return self.create_pair(duration=row.duration, proto=row.proto,
                                req_timestamp=row.timestamp, req_src=row.src, req_ip=row.src_ip,
                                req_port=row.src_port, req_dst=row.dst, req_packets=row.packets, req_bytes=row.bytes)

    def create_pair_response(self, row):
        return self.create_pair(duration=row.duration, proto=row.proto,
                                resp_timestamp=row.timestamp, resp_src=row.src, resp_ip=row.src_ip,
                                resp_port=row.src_port, resp_dst=row.dst, resp_packets=row.packets,
                                resp_bytes=row.bytes)



    def update_pair_with_request(self, pair, row):
        pair.update(
            {"req_src": row.src, "req_dst": row.dst, "req_timestamp": row.timestamp,
             "req_packets": row.packets, "req_bytes": row.bytes, "paired": True,
             "req_port": row.src_port, "req_ip": row.src_ip})
        return pair

    def update_pair_with_response(self, pair, row):
        pair.update(
            {"resp_src": row.src, "resp_dst": row.dst, "resp_timestamp": row.timestamp,
             "resp_packets": row.packets, "resp_bytes": row.bytes, "paired": True,
             "resp_port": row.src_port, "resp_ip": row.src_ip})
        return pair

    def label_record(self, record):
        record.update({"tunneled": True})
        return record


