from pandas._libs.tslib import Timestamp


TEST_PAIRING_1 = [
    # Classic Pairing
    {"date": "2017-12-01", "flow_start": "12:00:00.000000", "src": "10.10.10.10:33", "dst": "20.20.20.20:53", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "10.10.10.10", "src_port": "33", "dst_ip": "20.20.20.20", "dst_port": "53", "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:00.000001", "src": "20.20.20.20:53", "dst": "10.10.10.10:33", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "20.20.20.20", "src_port": "53", "dst_ip": "10.10.10.10", "dst_port": "33", "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:00.000002", "src": "10.10.10.10:33", "dst": "20.20.20.20:53", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "10.10.10.10", "src_port": "33", "dst_ip": "20.20.20.20", "dst_port": "53", "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:00.000003", "src": "10.10.10.10:33", "dst": "20.20.20.20:53", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "10.10.10.10", "src_port": "33", "dst_ip": "20.20.20.20", "dst_port": "53", "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:00.000004", "src": "10.10.10.10:33", "dst": "20.20.20.20:53", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "10.10.10.10", "src_port": "33", "dst_ip": "20.20.20.20", "dst_port": "53", "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:00.000005", "src": "20.20.20.20:53", "dst": "10.10.10.10:33", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "20.20.20.20", "src_port": "53", "dst_ip": "10.10.10.10", "dst_port": "33", "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:00.000006", "src": "20.20.20.20:53", "dst": "10.10.10.10:33", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "20.20.20.20", "src_port": "53", "dst_ip": "10.10.10.10", "dst_port": "33", "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:00.000007", "src": "20.20.20.20:53", "dst": "10.10.10.10:33", "packets": 1, "bytes": 1, "proto": "UDP", "duration": 0, "src_ip": "20.20.20.20", "src_port": "53", "dst_ip": "10.10.10.10", "dst_port": "33", "blank": " ", "flags": " ", "tos": " ", "flows": " "},

    # Not timestamp-relevant - gotta stay unpaired
    {"date": "2017-12-01", "flow_start": "12:00:10.000000", "src": "10.10.10.10:33", "dst": "20.20.20.20:53", "packets": 1, "bytes": 1, "src_ip": "10.10.10.10", "src_port": "33", "dst_ip": "20.20.20.20", "dst_port": "53",
     "proto": "UDP", "duration": 0, "blank": " ", "flags": " ", "tos": " ", "flows": " "},
    {"date": "2017-12-01", "flow_start": "12:00:20.000000", "src": "20.20.20.20:53", "dst": "10.10.10.10:33", "packets": 1, "bytes": 1, "src_ip": "20.20.20.20", "src_port": "53", "dst_ip": "10.10.10.10", "dst_port": "33",
     "proto": "UDP", "duration": 0, "blank": " ", "flags": " ", "tos": " ", "flows": " "},

]

COMP_PAIRING_1 = [
    {"req_src": "10.10.10.10:33", "req_dst": "20.20.20.20:53", "req_timestamp": Timestamp("2017-12-01 12:00:00.000000"),
     "req_bytes": 1, "req_packets": 1,
     "resp_src": "20.20.20.20:53", "resp_dst": "10.10.10.10:33", "resp_timestamp": Timestamp("2017-12-01 12:00:00.000001"), "resp_bytes": 1,
     "resp_packets": 1, "paired": True, "req_ip": "10.10.10.10", "req_port": "33", "resp_ip": "20.20.20.20", "resp_port": "53", "duration": 0, "proto": "UDP", "tunneled": False},

    {"req_src": "10.10.10.10:33", "req_dst": "20.20.20.20:53", "req_timestamp": Timestamp("2017-12-01 12:00:00.000002"),
     "req_bytes": 1, "req_packets": 1, "resp_src": "20.20.20.20:53", "resp_dst": "10.10.10.10:33", "resp_timestamp": Timestamp("2017-12-01 12:00:00.000005"), "resp_bytes": 1,
     "resp_packets": 1, "paired": True, "req_ip": "10.10.10.10", "req_port": "33", "resp_ip": "20.20.20.20", "resp_port": "53", "duration": 0, "proto": "UDP", "tunneled": False},

    {"req_src": "10.10.10.10:33", "req_dst": "20.20.20.20:53", "req_timestamp": Timestamp("2017-12-01 12:00:00.000003"),
     "req_bytes": 1, "req_packets": 1, "resp_src": "20.20.20.20:53", "resp_dst": "10.10.10.10:33", "resp_timestamp": Timestamp("2017-12-01 12:00:00.000006"), "resp_bytes": 1,
     "resp_packets": 1, "paired": True, "req_ip": "10.10.10.10", "req_port": "33", "resp_ip": "20.20.20.20", "resp_port": "53", "duration": 0, "proto": "UDP", "tunneled": False},

    {"req_src": "10.10.10.10:33", "req_dst": "20.20.20.20:53", "req_timestamp": Timestamp("2017-12-01 12:00:00.000004"),
     "req_bytes": 1, "req_packets": 1, "resp_src": "20.20.20.20:53", "resp_dst": "10.10.10.10:33", "resp_timestamp": Timestamp("2017-12-01 12:00:00.000007"), "resp_bytes": 1,
     "resp_packets": 1, "paired": True, "req_ip": "10.10.10.10", "req_port": "33", "resp_ip": "20.20.20.20", "resp_port": "53", "duration": 0, "proto": "UDP", "tunneled": False},

    {"req_src": "10.10.10.10:33", "req_dst": "20.20.20.20:53", "req_timestamp": Timestamp("2017-12-01 12:00:10.000000"),
     "req_bytes": 1, "req_packets": 1, "resp_src": "-", "resp_dst": "-", "resp_timestamp": "-",
     "resp_bytes": "-",
     "resp_packets": "-", "paired": False, "req_ip": "10.10.10.10", "req_port": "33", "resp_ip": "-", "resp_port": "-", "duration": 0, "proto": "UDP", "tunneled": False},

    {"req_src": "-", "req_dst": "-", "req_timestamp": "-",
     "req_bytes": "-", "req_packets": "-",  "resp_src": "20.20.20.20:53", "resp_dst": "10.10.10.10:33", "resp_timestamp": Timestamp("2017-12-01 12:00:20.000000"),
     "resp_bytes": 1,
     "resp_packets": 1, "paired": False, "req_ip": "-", "req_port": "-", "resp_ip": "20.20.20.20", "resp_port": "53", "duration": 0, "proto": "UDP", "tunneled": False}


]




